# SIG/AltArch meeting 2024-02-23

## Attendees

* Neil Hanlon
* Sherif Nagy
* Brian Clemens
* Stack
* Alan Sill

## Follow Ups

* SBC Support - We're close on a lot of the boards we aim to support (Orange Pi, Libre boards, Rock Pro, RPi5, etc)
  * Raspberry Pi5
    * Needs 16k kernel variant
* arm-trusted-firmware in staging for 8 and 9
  * please test, adds support for some SBCs we target
* RISC-V - Communications ongoing with RISC-V foundation for firmware
  * What else do we want aside from what they may be able to give us?

## Open Floor

* Alan has Turing Pi boards to run his Pis--would be nice to be able to test these
  * Jeff Geerling did a video recently on Turing Pi cluster board
  * "little clusters" -- just shared NFS, works ok. needs to be NVME because of i/o thrashing, though
* Stack: there has been a lot of interest in SBCs in Rocky the past few months
  * Would be good to have a plan to convert interested parties to contributors
    * we have a lot of SBC $$$ to spend on HW for folks
  * Roadmap & Status -- What do we support, who supports it, what works/doesn't work
  * https://git.resf.org/testing/SBC-progress-tracking
* Risc-V
  * Alan has [Lichee Pi 4a](https://wiki.sipeed.com/hardware/en/lichee/th1520/lc4a/lc4a.html) | https://sipeed.com/licheepi4a
* Should we include non-altarch (x86_64) SBCs in our list of what works?
  * They work out of the box (for the most part), so, let's just include them
  * https://radxa.com/products/x/x2l/#techspec - GPIO via a Pico
    * Alan wants to get this running under Rocky at some point
      * also looking at https://www.mixtile.com/cluster-box/
* Stack: Grace Hopper?
  * seems to be only debian from NVidia
  * Brian: Yoshi (CIQ) may have a contact that knows more information about Grace Hopper and Rocky
* Sherif: Intel GPU update
  * Met with them through HPC SIG (Jeremy)
  * DKMS version first for testing
  * Later: signed for secureboot and installable as kmod package (kernel SIG)
    * User tools in HPC SIG
  * NVIDIA -- maybe we can talk to them after we show this working well, collaborate
    * Needs legal review and sign-off from NVIDIA
    * many questions about this... e.g. How can we trust signing a proprietary blob for SB signing?
* Stack's SBC tower: https://52pi.com/products/52pi-rack-tower-acrylic-cluster-case-for-raspberry-pi-12-layer?_pos=21&_sid=39b8f5ea0&_ss=r

## Action Items

* Neil to reach out to Equinix regarding arm hw for altarch
* Neil to reply to RV folks
* Neil to look into wiki content population
* Neil to file ticket to investigate kernel packer to repack upstream RPi kernel
* Neil to work on SBC Kernel variant config in KernelPacker
* Sherif to work on Raspberry Pi kernel variants

